Scala Compiler2.13.5 < Back


# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  package transform
  Definition Classes
    nsc
-  package async
  Definition Classes
    transform
-  package patmat
  Definition Classes
    transform
- AccessorSynthesis
- CleanUp
- Constructors
- Delambdafy
- Erasure
- ExplicitOuter
- ExtensionMethods
- Fields
- Flatten
- InfoTransform
- LambdaLift
- Mixin
- OverridingPairs
- PostErasure
- SampleTransform
- SpecializeTypes
- Statics
- TailCalls
- Transform
- TypeAdaptingTransformer
- TypingTransformers
- UnCurry

c

scala.tools.nsc.transform

# LambdaLift

###

#### abstract class LambdaLift extends SubComponent with InfoTransform

Source
  LambdaLift.scala

Linear Supertypes
InfoTransform, Transform, SubComponent, AnyRef, Any
Known Subclasses
lambdaLift
Type Hierarchy

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. LambdaLift
2. InfoTransform
3. Transform
4. SubComponent
5. AnyRef
6. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Instance Constructors

1.  new LambdaLift()

### Type Members

1.  abstract class StdPhase extends GlobalPhase

   A standard phase template

   A standard phase template

   Definition Classes
     SubComponent
2.  final type InfoPhase = Phase
   Definition Classes
     InfoTransform
   Annotations
     @nowarn()
3.  class LambdaLifter extends Global.explicitOuter.OuterPathTransformer

### Deprecated Type Members

1.  class Phase extends InfoTransform.Phase
   Definition Classes
     InfoTransform
   Annotations
     @nowarn() @deprecated
   Deprecated

     (Since version 2.13.4) use InfoPhase instead

### Abstract Value Members

1.  abstract val global: Global

   The global environment; overridden by instantiation in Global.

   The global environment; overridden by instantiation in Global.

   Definition Classes
     SubComponent
2.  abstract val runsAfter: List[String]

   Names of phases that must run before this phase.

   Names of phases that must run before this phase.

   Definition Classes
     SubComponent
3.  abstract val runsRightAfter: Option[String]

   Name of the phase that this phase must follow immediately.

   Name of the phase that this phase must follow immediately.

   Definition Classes
     SubComponent

### Concrete Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from LambdaLift toany2stringadd[LambdaLift] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
4.  def ->[B](y: B): (LambdaLift, B)
   Implicit
     This member is added by an implicit conversion from LambdaLift toArrowAssoc[LambdaLift] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
5.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
6.  final def afterOwnPhase[T](op: => T): T
   Definition Classes
     SubComponent
   Annotations
     @inline()
7.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
8.  final def beforeOwnPhase[T](op: => T): T
   Definition Classes
     SubComponent
   Annotations
     @inline()
9.  def changesBaseClasses: Boolean
   Attributes
     protected
   Definition Classes
     InfoTransform
10.  def clone(): AnyRef
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.CloneNotSupportedException]) @native()
11.  def enabled: Boolean

    Is this component enabled? Default is true.

    Is this component enabled? Default is true.

    Definition Classes
      SubComponent
12.  def ensuring(cond: (LambdaLift) => Boolean, msg: => Any): LambdaLift
    Implicit
      This member is added by an implicit conversion from LambdaLift toEnsuring[LambdaLift] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
13.  def ensuring(cond: (LambdaLift) => Boolean): LambdaLift
    Implicit
      This member is added by an implicit conversion from LambdaLift toEnsuring[LambdaLift] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
14.  def ensuring(cond: Boolean, msg: => Any): LambdaLift
    Implicit
      This member is added by an implicit conversion from LambdaLift toEnsuring[LambdaLift] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
15.  def ensuring(cond: Boolean): LambdaLift
    Implicit
      This member is added by an implicit conversion from LambdaLift toEnsuring[LambdaLift] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
16.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
17.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
18.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
19.  def formatted(fmtstr: String): String
    Implicit
      This member is added by an implicit conversion from LambdaLift toStringFormat[LambdaLift] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
20.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
21.  def hashCode(): Int

    SubComponents are added to a HashSet and two phases are the same if they have the same name.

    SubComponents are added to a HashSet and two phases are the same if they have the same name.

    Definition Classes
      SubComponent → AnyRef → Any
22.  val initial: Boolean

    True if this phase runs before all other phases.

    True if this phase runs before all other phases. Usually, `parser`.

    Definition Classes
      SubComponent
23.  val internal: Boolean

    True if this phase is not provided by a plug-in.

    True if this phase is not provided by a plug-in.

    Definition Classes
      SubComponent
24.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
25.  def keepsTypeParams: Boolean
    Attributes
      protected
    Definition Classes
      InfoTransform
26.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
27.  def newPhase(prev: nsc.Phase): StdPhase

    Create a new phase which applies transformer

    Create a new phase which applies transformer

    Definition Classes
      InfoTransform → Transform → SubComponent
28.  def newTransformer(unit: Global.CompilationUnit): Global.AstTransformer

    The transformer factory

    The transformer factory

    Attributes
      protected
    Definition Classes
      LambdaLift → Transform
29.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
30.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
31.  def ownPhase: nsc.Phase

    The phase corresponding to this subcomponent in the current compiler run.

    The phase corresponding to this subcomponent in the current compiler run.

    Definition Classes
      SubComponent
32.  val phaseName: String

    the following two members override abstract members in Transform

    the following two members override abstract members in Transform

    Definition Classes
      LambdaLift → SubComponent
33.  def phaseNewFlags: Long

    New flags defined by the phase which are not valid before

    New flags defined by the phase which are not valid before

    Definition Classes
      SubComponent
34.  def phaseNextFlags: Long

    New flags defined by the phase which are not valid until immediately after it

    New flags defined by the phase which are not valid until immediately after it

    Definition Classes
      SubComponent
35.  val requires: List[String]

    Names of phases required by this component.

    Names of phases required by this component. Default is `Nil`.

    Definition Classes
      SubComponent
36.  val runsBefore: List[String]

    Names of phases that must run after this phase.

    Names of phases that must run after this phase. Default is `Nil`.

    Definition Classes
      SubComponent
37.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
38.  val terminal: Boolean

    True if this phase runs after all other phases.

    True if this phase runs after all other phases. Usually, `terminal`.

    Definition Classes
      SubComponent
39.  def toString(): String
    Definition Classes
      AnyRef → Any
40.  def transformInfo(sym: Global.Symbol, tp: Global.Type): Global.Type
    Definition Classes
      LambdaLift → InfoTransform
41.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
42.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
43.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Deprecated Value Members

1.  def →[B](y: B): (LambdaLift, B)
   Implicit
     This member is added by an implicit conversion from LambdaLift toArrowAssoc[LambdaLift] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @deprecated
   Deprecated

     (Since version 2.13.0) Use `->` instead. If you still wish to display it as one character, consider using a font with programming ligatures such as Fira Code.

### Inherited from InfoTransform

### Inherited from Transform

### Inherited from SubComponent

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd fromLambdaLift to any2stringadd[LambdaLift]

### Inherited by implicit conversion StringFormat fromLambdaLift to StringFormat[LambdaLift]

### Inherited by implicit conversion Ensuring fromLambdaLift to Ensuring[LambdaLift]

### Inherited by implicit conversion ArrowAssoc fromLambdaLift to ArrowAssoc[LambdaLift]

### Ungrouped